## fortran-cli2 3.2.0

=== src/Makefile ===
#@(#) Makefile started by makeout(1) 2020-01-14 01:11:41
NULL=
#$(NULL)
PROGFILES = \
 ../example/demo1.f90 \
 ../example/demo2.f90 \
 ../example/demo3.f90 \
 ../example/demo4.f90 \
 ../example/demo5.f90 \
 ../example/demo6.f90 \
 ../example/demo7.f90 \
 ../example/demo8.f90 \
 ../example/demo9.f90 \
 ../example/demo11.f90 \
  \
 ../example/demo12.f90 \
 ../example/demo13.f90 \
 ../example/demo14.f90 \
 ../example/demo15.f90 \
 ../example/demo16.f90 \
 ../example/demo17.f90 \
 ../example/manually_test_bundling.f90 \
$(NULL)
TESTFILES = \
 ../test/test_suite_M_CLI2.f90 \
 ../test/test_ignorecase.f90 \
 ../test/test_lastonly.f90 \
 ../test/test_strict.f90 \
$(NULL)
TPROG = ${TESTFILES:.f90=}
PROG = ${PROGFILES:.f90=}
SRCS = M_CLI2.f90 
OBJS = M_CLI2.o 
LIBRARY := libM_CLI2.a
COMPILER=AAAAAAAAA
LIB := M_CLI2
# platform-specific values you will probably change
#
gfortran: F90=gfortran
gfortran: FCFLAGS := -Wall -Wextra -Wimplicit-interface -fPIC -fmax-errors=1 \
          -g -O -fcheck=bounds -fcheck=array-temps -fbacktrace -fcoarray=single
gfortran: FCFLAGS := -g -O -std=f2018 -fPIC -Wno-maybe-uninitialized -Wno-uninitialized
gfortran_install: COMPILER=gfortran
gfortran: all
	@echo built with $(F90)

nvfortran: F90=nvfortran
nvfortran: FCFLAGS := -Minform=inform -Mbackslash -traceback
nvfortran_install: COMPILER=nvfortran
nvfortran: all
	@echo built with $(F90)

ifort: F90=ifort
ifort: FCFLAGS := -warn all -traceback -fpic
ifort_install: COMPILER=ifort
ifort: all
	@echo built with $(F90)

ifx: F90=ifx
ifx: FCFLAGS := -warn all -traceback -fpic
ifx: COMPILER=ifx
ifx: all
	@echo built with $(F90)

nagfor: F90=nagfor
nagfor: FCFLAGS := -C all
nagfor_install: COMPILER=nagfor
nagfor: all
	@echo built with $(F90)

LIBS := 
LDFLAGS := 
all: $(PROG) $(TPROG)
	@echo "That's All Folks! Enter \"make help\" for more options"
$(PROG): $(LIBRARY)
	-$(F90) $(LDFLAGS) $@.f90 -L. -l$(LIB) -o $@ 
$(TPROG): $(LIBRARY)
	-$(F90) $(LDFLAGS) $@.f90 -L. -l$(LIB) -o $@ 
$(LIBRARY): $(OBJS)
	$(AR) $(ARFLAGS) $@ $^
gfortran_install ifort_install ifx_install: $(OBJS)
	# very Linux/Unix/BSD/.. specific and just for $(COMPILER)
	mkdir -p lib$(COMPILER)/
	# static library and modules
	$(AR) $(ARFLAGS) lib$(COMPILER)/libM_CLI2.a $^
	cp *.mod lib$(COMPILER)/
	# shared library
	#
	[ "$(COMPILER)" = 'gfortran' ] && $(COMPILER) -shared -Wl,-soname,lib$(LIB).so.1 -o lib$(COMPILER)/lib$(LIB).so.1 $(OBJS)|| echo G
	[ "$(COMPILER)" = 'ifort' ]    && $(COMPILER) -shared                            -o lib$(COMPILER)/lib$(LIB).so.1 $(OBJS)|| echo I
	[ "$(COMPILER)" = 'ifx' ]    && $(COMPILER) -shared                            -o lib$(COMPILER)/lib$(LIB).so.1 $(OBJS)|| echo I

	cd lib$(COMPILER) && ln -sf lib$(LIB).so.1 lib$(LIB).so 
	@echo example static build

	[ "$(COMPILER)" = 'gfortran' ] && $(COMPILER) -static sample/hello.f90 -Llib$(COMPILER) -lM_CLI2 -o hello_static || echo G
	[ "$(COMPILER)" = 'ifort' ]    && $(COMPILER) -static sample/hello.f90 -Llib$(COMPILER) -lM_CLI2 -o hello_static || echo I
	[ "$(COMPILER)" = 'ifx' ]    && $(COMPILER) -static sample/hello.f90 -Llib$(COMPILER) -lM_CLI2 -o hello_static || echo I

	./hello_static

	@echo example shared build
	$(COMPILER) sample/hello.f90 -Llib$(COMPILER) -lM_CLI2 -o hello_shared
	# put directory in load path and run using shared version
	env LD_LIBRARY_PATH=lib$(COMPILER)/:${LD_LIBRARY_PATH} ./hello_shared
	# show one is static and other needs shared library
	-env LD_LIBRARY_PATH=lib$(COMPILER)/:${LD_LIBRARY_PATH} ldd hello_shared hello_static

.SUFFIXES: $(SUFFIXES) .f90 .F90 
.f90.o:
	$(F90) $(FCFLAGS) -c $<
.F90.o:
	$(F90) $(FCFLAGS) -c $<
.PHONY: help
help:
	: ##############################################################################
	: # make COMPILER [OPTION]  -- build M_CLI2 module. Default is gfortran        #
	: # COMPILER may be gfortran | nvfortran | ifort |ifx | nagfor                 #
	: # OPTIONS:                                                                   #
	: # run               -- run manpage demo programs                             #
	: # test              -- run test programs                                     #
	: # gfortran_install  -- place static and shared library in ./libgfortran      #
	: # ifort_install     -- place static and shared library in ./libifort         #
	: # ifx_install       -- place static and shared library in ./libifx           #
	: ##############################################################################
	: # man               -- show all manpages as text if infrastructure present   #
	: # ship              -- rebuild archive files of manpages                     #
	: # clean             -- clean directory of built files                        #
	: # help              -- display this text                                     #
	: # doxygen           -- run doxygen(1) if you have it                         #
	: # ford              -- run ford(1) if you have it                            #
	: ##############################################################################
	: # Examples (do a "make clean" if change compilers):                          #
	: #    make clean    # make sure previous artifacts are removed                #
	: #    make gfortran # build using gfortran(1) compiler                        #
	: #    make clean    # make sure previous artifacts are removed                #
	: #    make ifx run  # build using ifx(1) compiler                             #
	: # clean up and make shared libraries and install them in local subdirectories#
	: #    make clean gfortran gfortran_install # create libgfortran/              #
	: #    make clean ifx ifx_install # create libifx/                             #
	: ##############################################################################

.PHONY: clean
clean:
	rm -f $(PROG) $(CPROG) $(TPROG) $(OBJS) *.a *.mod *.o hello_shared hello_static
.PHONY: run
run: $(PROG)
	# run everything
	#echo $? |xargs -n 1|xargs -iXX time XX 2>&1
	set +x;echo $? |xargs -n 1|xargs -iXX env XX 2>&1
.PHONY: doxygen
doxygen: 
	doxygen dox.in
.PHONY: ford
ford: 
	cd ..;ford ford.md

.PHONY: test
test: $(TPROG)
	# run tests
	echo $? | xargs -n 1  
	echo $? | xargs -n 1  |(set +x;xargs -iXX env XX 2>&1)

.PHONY: man
man:
	@mandb ../man 1>&2
	: INDEX OF MANPAGES TOPICS
	@env MANPATH=../man MANWIDTH=256 man -k .|col -b
	: MANPAGES
	@env MANPATH=../man MANWIDTH=80  man -Tutf8 --regex '.*'|col -b
	: SPELLING
	@env MANPATH=../man MANWIDTH=80  man -Tutf8 --regex '.*'|col -b|spell|xargs -n 5|column -t

.PHONY: ship
ship:
	: make easily distributed archive files of manpages
	mkdir -p ../docs
	cd ../man/man3;\
	   gzip *.3m_cli2;\
	   zip -r ../../docs/manpages.zip *gz;\
	   tar cvfz ../../docs/manpages.tgz *gz;\
	   gunzip *.3m_cli2.gz

=== docs/doxygen_out/latex/Makefile ===
LATEX_CMD=pdflatex

all: refman.pdf

pdf: refman.pdf

refman.pdf: clean refman.tex
	$(LATEX_CMD) refman
	makeindex refman.idx
	$(LATEX_CMD) refman
	latex_count=8 ; \
	while egrep -s 'Rerun (LaTeX|to get cross-references right)' refman.log && [ $$latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      $(LATEX_CMD) refman ;\
	      latex_count=`expr $$latex_count - 1` ;\
	    done
	makeindex refman.idx
	$(LATEX_CMD) refman


clean:
	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out *.brf *.blg *.bbl refman.pdf

=== debian/changelog ===
fortran-cli2 (3.2.0-6) unstable; urgency=medium

  * Use dh-fortran >= 0.60 for fortran buildsystem
  * d/watch: Move to version 5 syntax
  * Simplify d/control: just use dh-fortran > 0.60
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Add Section: needed for dh-fortran autodetection
  * Drop B-D on ford for loong64; not available there yet

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Jan 2026 09:12:07 +0000

fortran-cli2 (3.2.0-5) unstable; urgency=medium

  * Build-dep on gfortran directly, also meson
  * Use fortran-lib file rather than d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2025 10:36:09 +0100

fortran-cli2 (3.2.0-4) unstable; urgency=medium

  * Ensure mod files are shipped
  * Ensure libs shipped in right dirs. static libs only this release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Oct 2025 10:02:08 +0100

fortran-cli2 (3.2.0-3) unstable; urgency=medium

  * B-D on fortran-fpm

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Oct 2025 10:23:37 +0100

fortran-cli2 (3.2.0-2) experimental; urgency=medium

  * Add debian/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Oct 2025 13:32:58 +0100

fortran-cli2 (3.2.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1111544)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Aug 2025 10:11:15 +0100

=== debian/control ===
Source: fortran-cli2
Section: utils
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Standards-Version: 4.7.3
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-fortran (>= 0.60),
 meson,
 ford [!loong64],
 unzip
Homepage: https://github.com/urbanjost/M_CLI2
Vcs-Browser: https://salsa.debian.org/science-team/fortran-cli2
Vcs-Git: https://salsa.debian.org/science-team/fortran-cli2.git

Package: libfortran-cli2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libfortran-cli2-1 ( = ${binary:Version}),
         ${fortran:Depends}
Description: Fortran command line argument parser library - devel files
 M_CLI2(3f) is a Fortran module that will crack the command line when given
 a prototype string that looks very much like an invocation of the program.
 Calls are then made for each parameter name to set the variables
 appropriately in the program.

Package: libfortran-cli2-1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fortran command line argument parser library
 M_CLI2(3f) is a Fortran module that will crack the command line when given
 a prototype string that looks very much like an invocation of the program.
 Calls are then made for each parameter name to set the variables
 appropriately in the program.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --with fortran --buildsystem=fortran


execute_after_dh_auto_clean:
	rm -rf obj-* docs/man3 docs/cat3 docs/*gz

execute_after_dh_auto_build:
	(cd docs; unzip manpages.zip)

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/urbanjost/M_CLI2
